import QtQuick 2.7

Path {
    id: p
    property real width: 200
    property real height: 200
    property real margin: 0
    property real cx: width / 2
    property real cy: height / 2
    property real rx: width / 2 - margin
    property real ry: height / 2 - margin
    property real mx: rx * magic
    property real my: ry * magic
    property real magic: 0.551784
    property double count
    property double nbInCount

    PathAttribute {
        name: "iconScale"
        value: 1.6
    }
    startX: p.cx - p.rx
    startY: p.cy
    PathCubic {
        // first quadrant arc
        control1X: p.cx - p.rx
        control1Y: p.cy + p.my
        control2X: p.cx - p.mx
        control2Y: p.cy + p.ry
        x: p.cx
        y: p.cy + p.ry
    }
    PathPercent {
        value: 0.5 * nbInCount / count
    }
    PathAttribute {
        name: "iconScale"
        value: 0.8
    }
    PathCubic {
        // second quadrant arc
        control1X: p.cx + p.mx
        control1Y: p.cy + p.ry
        control2X: p.cx + p.rx
        control2Y: p.cy + p.my
        x: p.cx + p.rx
        y: p.cy
    }
    PathAttribute {
        name: "iconScale"
        value: 0.8
    }
    PathCubic {
        // third quadrant arc
        control1X: p.cx + p.rx
        control1Y: p.cy - p.my
        control2X: p.cx + p.mx
        control2Y: p.cy - p.ry
        x: p.cx
        y: p.cy - p.ry
    }
    PathPercent {
        value: 1 - 0.5 * nbInCount / count
    }
    PathAttribute {
        name: "iconScale"
        value: 0.8
    }
    PathCubic {
        // forth quadrant arc
        control1X: p.cx - p.mx
        control1Y: p.cy - p.ry
        control2X: p.cx - p.rx
        control2Y: p.cy - p.my
        x: p.cx - p.rx
        y: p.cy
    }
    PathAttribute {
        name: "iconScale"
        value: 1.6
    }
}
