import QtQuick 2.7

Rectangle {
    id: rootObject
    property int angle: 45
    property double rotAngleRad: angle * 3.14159 / 180
    clip: true
    property color color1: "white"
    property double position1: 0
    property color color2: "black"
    property double position2: 1

    Rectangle {
        id: rotRect
        width: rootObject.width * Math.abs(
                   Math.cos(
                       rootObject.rotAngleRad)) + rootObject.height * Math.abs(
                   Math.sin(rootObject.rotAngleRad)) + 1 //+1 pour arrondi
        height: rootObject.width * Math.abs(
                    Math.sin(
                        rootObject.rotAngleRad)) + rootObject.height * Math.abs(
                    Math.cos(rootObject.rotAngleRad)) + 1 //+1 pour arrondi
        anchors.centerIn: parent
        clip: false
        transform: Rotation {
            origin.x: rotRect.width / 2
            origin.y: rotRect.height / 2
            axis {
                x: 0
                y: 0
                z: 1
            }
            angle: rootObject.angle
        }
        gradient: Gradient {
            GradientStop {
                position: rootObject.position1
                color: rootObject.color1
            }

            GradientStop {
                position: rootObject.position2
                color: rootObject.color2
            }
        }
    }
}
