/*
 * myAccount.qml
 * my account window
 *
 * VCC VisualCare Consult
 *
 * Created by Yannick GRANGER, Medi-Productions
 * ygranger@mediproductions.com
 * Copyright 2014 Medi-Productions. All rights reserved
 *
 */

import QtQuick 2.7

Rectangle {
    id: accoutView
    width: app.width
    height: app.height
    color: "#55000000"
    MouseArea {
        //to cancel mousearea under this qml
        anchors.fill: parent
    }
    Rectangle {
        id: window
        anchors.centerIn: parent
        width: accoutView.height * 0.9
        height: parent.height * 0.8
        color: "#e4eded"
        border.width: app.ratioH * 1

        Rectangle {
            id: titleArea
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width
            height: accoutView.height * 0.05
            color: "#ffffff"
            border.width: app.ratioH * 1
            Rectangle {
                id: back
                anchors.top: parent.top
                anchors.bottom: parent.bottom
                anchors.left: parent.left
                width: backText.paintedWidth * 2
                color: "#00000000"
                Text {
                    id: backText
                    anchors.centerIn: parent
                    wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                    text: qsTr("Retour")
                    color: "#0937b7"
                    font.pixelSize: userWindowLoader.fontText
                }
                MouseArea {
                    anchors.fill: parent
                    onClicked: userWindowLoader.source = ""
                }
            }
            Text {
                id: title
                anchors.centerIn: parent
                text: qsTr("Mon compte")
                font.bold: true
                font.pixelSize: userWindowLoader.fontText
                color: "black"
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            }
        }
        Text {
            id: connec
            anchors.bottom: deco.top
            anchors.bottomMargin: accoutView.height * 0.04
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width * 0.75
            color: "#0937b7"
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            font.pixelSize: userWindowLoader.fontText
            Component.onCompleted: {
                if (vccContract_Short !== "IDEXX"
                        && vccContract_Short !== "REDBANK") {
                    text = qsTr("Vous êtes connecté au portail VisioCare Consult en tant que %1").arg(
                                vcc.loginId)
                } else {
                    text = qsTr("Vous êtes connecté au portail IDEXX Pet Health Network® 3D en tant que %1").arg(
                                vcc.loginId)
                }
            }
        }
        Rectangle {
            id: deco
            anchors.centerIn: parent
            width: decoText.paintedWidth * 2
            height: accoutView.height * 0.08
            color: "#00000000"
            Text {
                id: decoText
                anchors.centerIn: parent
                text: qsTr("Déconnexion")
                font.bold: true
                font.pixelSize: userWindowLoader.fontText
                color: "#0937b7"
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    if (vcc.online) {
                        loading.visible = true
                        doLogin("-", "-", "-") //send a deconnection
                    } else
                        notOnline.visible = true
                }
            }
        }
        Rectangle {
            id: pref
            anchors.top: deco.bottom
            width: prefText.paintedWidth * 1.4
            height: accoutView.height * 0.08
            anchors.horizontalCenter: parent.horizontalCenter
            color: "#00000000"
            Text {
                id: prefText
                anchors.centerIn: parent
                text: qsTr("Préférences de téléchargement et mises à jour")
                font.bold: true
                font.pixelSize: userWindowLoader.fontText
                color: "#0937b7"
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            }
            MouseArea {
                anchors.fill: parent
                onClicked: userWindowLoader.source = "myAccountPref.qml"
            }
        }
        AnimatedImage {
            id: loading
            anchors.centerIn: parent
            width: parent.height * 0.1
            height: parent.height * 0.1
            source: "../../img/loading.gif"
            visible: false
        }
        Connections {
            target: vcc
            onConnectedChanged: {
                loading.visible = false
                stackView.pop(null)
            }
            onAlreadyConnected: loading.visible = false
            onUserNotFound: loading.visible = false
            onUserWithoutOrder: loading.visible = false
        }
    }
}
