/*
 * logo.qml
 * logo view
 *
 * VCC VisualCare Consult
 *
 * Created by Yannick GRANGER, Medi-Productions
 * ygranger@mediproductions.com
 * Copyright 2014 Medi-Productions. All rights reserved
 *
 */

import QtQuick 2.7

Rectangle {
    id: logoView
    color: "#00FFFFFF"
    width: app.width
    height: app.height
    Component.onCompleted: {
        app.currentStack = "logo.qml"
    }
    onVisibleChanged: {
        if (this.visible === true) {
            app.currentStack = "logo.qml"
        }
    }
    MouseArea {
        id: mouseArea1
        anchors.fill: parent

        onClicked: {
            stackView.push(Qt.resolvedUrl("animalSelector.qml"))
        }
        Image {
            width: app.ratioW * 900
            height: app.ratioH * 300
            anchors.top: parent.top
            anchors.topMargin: app.ratioH * 10
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.horizontalCenterOffset: 0
            fillMode: Image.PreserveAspectFit
            mipmap: canDoMipmap
            source: "../../img/logo/logo_title_" + vccContract_Short + ".png"
        }

        Text {
            text: qsTr("Touchez pour commencer...")
            anchors.horizontalCenterOffset: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: app.ratioH * 150
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: app.ratioH * 40
            color: ribbonColor
        }
        Image {
            id: mpLogo
            width: app.ratioH * 300
            height: app.ratioH * 100
            clip: false
            fillMode: Image.PreserveAspectFit
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: app.ratioH * 5
            source: "../../img/logo/logo_medipro_" + vccContract_Short + ".png"
            visible: (vccContract_Short !== "IDEXX"
                      && vccContract_Short !== "REDBANK")
        }
        Image {
            id: partnershipLogo
            width: app.ratioH * 300
            height: app.ratioH * 35
            clip: false
            fillMode: Image.PreserveAspectFit
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            source: vcc.connected ? (vcc.mwiBranded ? "../../img/logo/partnership_mwi.png" : (vcc.virbacBranded ? "../../img/logo/partnership_virbac.png" : "")) : ""
            visible: vccContract_Short === "VCC"
        }
    }
}
