/*
 * OrganSelector.qml
 * pathview of all organs
 *
 * VCC VisualCare Consult
 *
 * Created by Yannick GRANGER, Medi-Productions
 * ygranger@mediproductions.com
 * Copyright 2014 Medi-Productions. All rights reserved
 *
 */

import QtQuick 2.7
import "../component/"

Rectangle {
    property int stackViewIndex
    id: fullWindow
    width: app.width
    height: app.height

    color: "#00FFFFFF"
    Component.onCompleted: {
        fullWindow.stackViewIndex = stackView.depth /* used to prevent multiple stackview pop () */
        app.currentStack = "vca_country.qml"
    }

    onVisibleChanged: {
        if (this.visible === true) {
            clickEnabled = true
            fullWindow.opacity = 1
            app._filename = ""
            app._organSelected = ""
            app.currentStack = "vca_country.qml"
        }
    }
    GridView {
        id : gridView
        anchors.centerIn: parent
        property int maxPerLine : 4
        width : (model.length <= maxPerLine ? model.length : 4 ) * app.width / maxPerLine
        height : (1 + Math.floor((model.length - 1)/ 4)) * app.width / maxPerLine
        cellHeight: app.width / maxPerLine
        cellWidth: app.width/ maxPerLine
        model: JSON.parse(vcaSectionContent)

        delegate:Item{
            height: app.width / gridView.maxPerLine
            width: app.width/ gridView.maxPerLine
            Image{
                source: "../../img/autres/cadre_vca_clinic.png"
                width : cadre_titre.width*1.05
                height : cadre_titre.height*1.05
                anchors.centerIn: parent
                Image {
                    id: cadre_titre
                    source: "../../img/autres/cadre_vca.png"
                    anchors.centerIn: parent
                    width : app.width*0.22
                    height : width * 144/193
                    Item{
                        width: parent.width
                        anchors.top:parent.top
                        height : parent.height*0.65
                        Text {
                            width : parent.width
                            text: modelData.name
                            horizontalAlignment : Text.AlignHCenter
                            font.pixelSize: userWindowLoader.fontText * 1.2
                            wrapMode: Text.WordWrap
                            font.bold: true
                            color :"white"
                            anchors.centerIn: parent
                        }
                    }
                }
                MouseArea{
                    anchors.fill:parent
                    onClicked: {
                        var _replace = stackView.depth > 2
                        app._stateSelected = modelData.clinics
                        if (_replace){
                            stackView.replace(Qt.resolvedUrl("vca_state.qml"),
                                                {
                                                   stackName: "vca_state.qml" ,
                                                   title: qsTr("vca_state")
                                               })
                        }else{

                            stackView.push(Qt.resolvedUrl("vca_state.qml"),
                                                {
                                                   stackName: "vca_state.qml" ,
                                                   title: qsTr("vca_state")
                                               })
                        }
                    }
                }
            }
        }

    }
}
