/*
 * vca_state.qml
 * pathview of all organs
 *
 * VCC VisualCare Consult
 *
 * Created by Yannick GRANGER, Medi-Productions
 * ygranger@mediproductions.com
 * Copyright 2014 Medi-Productions. All rights reserved
 *
 */

import QtQuick 2.7
import QtQuick.Controls 2.1
import "../component/"

Rectangle {
    property int stackViewIndex
    id: fullWindow
    width: app.width
    height: app.height

    color: "#00FFFFFF"
    Component.onCompleted: {
        fullWindow.stackViewIndex = stackView.depth /* used to prevent multiple stackview pop () */
        app.currentStack = "vca_state.qml"
    }

    onVisibleChanged: {
        if (this.visible === true) {
            clickEnabled = true
            fullWindow.opacity = 1
            app._filename = ""
            app._organSelected = ""
            app.currentStack = "vca_state.qml"
        }
    }
    Item{
    visible:false
    id : userWindowLoader
    property int fontText: app.ratioH * 15
        }

    ListView {
        id : listView
        anchors.horizontalCenter: parent.horizontalCenter
        width : model.length * app.width/4
        height: app.height * 0.8
        anchors.bottom: parent.bottom
        anchors.bottomMargin: app.height * 0.01
        orientation : ListView.Horizontal
        ScrollBar.horizontal: ScrollBar { id: hbar }


        delegate:clinicComponent
		
        Component.onCompleted: model = app._stateSelected


    }
    Component{
        id : clinicComponent
        Item{
            id : rootClinic
            property double customBorder : 0.01
            width: app.width/4
            height: listView.height *1.11
            anchors.bottom : parent.bottom
            Image{
                source: "../../img/autres/cadre_vca_clinic.png"
                anchors.centerIn: parent
                height : parent.height
                width : app.ratioH > 1.40 ? height * 206 / 699 * 1.3 : undefined
                Image {
                    id: cadre_titre
                    source: "../../img/autres/cadre_vca.png"
                    anchors.top: parent.top
                    anchors.topMargin: rootClinic.customBorder * parent.width
                    anchors.horizontalCenter: parent.horizontalCenter
                    width : parent.width * (1 - rootClinic.customBorder * 2)
                    height : width * 144 / 193
//                    fillMode: Image.PreserveAspectFit
                    Item{
                        width: parent.width
                        anchors.top:parent.top
                        height : parent.height*0.65
                        Text {
                            width : parent.width
                            text: modelData.name
                            horizontalAlignment : Text.AlignHCenter
                            font.pixelSize: userWindowLoader.fontText
                            wrapMode: Text.WordWrap
                            font.bold: true
                            color :"white"
                            anchors.centerIn: parent
                        }
                    }
                    Text {
                        text: modelData.town
                        font.pixelSize: app.ratioH * 12
                        font.bold: true
                        color :"white"
                        anchors.bottom : parent.bottom
                        anchors.right : parent.right
                        anchors.rightMargin: app.width*0.003
                    }
                    MouseArea{
                        anchors.fill:parent
                        onClicked: {
                            console.log("[QML vca_state] open link ", modelData.url)
                            Qt.openUrlExternally(modelData.url)
                        }
                    }

                }
                Item{
                    anchors.top : cadre_titre.bottom
                    anchors.bottom: parent.bottom
                    anchors.right : parent.right
                    anchors.left :parent.left
                    ListView{
                        anchors.fill:parent
                        delegate:Item {
                            id: objDisplayRowRect
                            height: width /5
                            width: parent.width
                            RectGrad {
                                anchors.centerIn: parent
                                height : parent.height*0.8
                                width: parent.width * (1 - rootClinic.customBorder * 4)
                                id: coloredRect
                                color1: "#0270a1"
                                color2: "#003b81"
                                angle: -2
                                position1: 0.3
                                position2: 0.7
                                Text{
                                    anchors.left :parent.left
                                    anchors.leftMargin : app.width*0.005
                                    anchors.verticalCenter: parent.verticalCenter
                                    color : "white"
                                    text : modelData.name
                                    font.pixelSize: userWindowLoader.fontText *0.6
                                    font.bold : true
                                }
                                MouseArea{
                                    anchors.fill:parent
                                    onClicked: {
                                        console.log("[QML vca_state] open link ", modelData.url)
                                        Qt.openUrlExternally(modelData.url)
                                    }
                                }
                            }
                        }
                        Component.onCompleted: {
                            model = modelData.services
                        }
                    }
                }
            }
        }
    }


}
